Bug 185540 - Removing lang/ruby-doc-* ports
Summary: Removing lang/ruby-doc-* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-06 22:10 UTC by clutton
Modified: 2014-03-24 18:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description clutton 2014-01-06 22:10:00 UTC
There are only 3 ports left: ruby-man, ruby-programmingruby, ruby-usersguide.

ruby-man & ruby-programmingruby cover 1.6 version of Ruby language, and should be definitely deleted.

ruby-usersguide covers 1.8, and deletion of this particular port may be discussed.
Comment 1 Steve Wills freebsd_committer 2014-01-21 04:00:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-25 20:47:37 UTC
Author: swills
Date: Sat Jan 25 20:47:28 2014
New Revision: 341096
URL: http://svnweb.freebsd.org/changeset/ports/341096
QAT: https://qat.redports.org/buildarchive/r341096/

Log:
  - Documents old version of Ruby, mark for deletion
  
  PR:		ports/185540
  Submitted by:	clutton <clutton@zoho.com>

Modified:
  head/lang/ruby-man/Makefile
  head/lang/ruby-programmingruby/Makefile
  head/lang/ruby-usersguide/Makefile

Modified: head/lang/ruby-man/Makefile
==============================================================================
--- head/lang/ruby-man/Makefile	Sat Jan 25 20:43:37 2014	(r341095)
+++ head/lang/ruby-man/Makefile	Sat Jan 25 20:47:28 2014	(r341096)
@@ -23,6 +23,10 @@ NO_BUILD=	yes
 PLIST_SUB=	LANGSUFFIX="${LANGSUFFIX}"
 
 NO_STAGE=	yes
+
+DEPRECATED=		Documents EOLd version of Ruby and unmaintained
+EXPIRATION_DATE=	2014-02-25
+
 do-install:
 	${MKDIR} ${RUBY_MODDOCDIR}
 	${INSTALL_DATA} ${WRKSRC}/*.html ${RUBY_MODDOCDIR}

Modified: head/lang/ruby-programmingruby/Makefile
==============================================================================
--- head/lang/ruby-programmingruby/Makefile	Sat Jan 25 20:43:37 2014	(r341095)
+++ head/lang/ruby-programmingruby/Makefile	Sat Jan 25 20:47:28 2014	(r341096)
@@ -24,6 +24,10 @@ NO_WRKSUBDIR=	yes
 DOCSDIR=	${RUBY_MODDOCDIR}
 
 NO_STAGE=	yes
+
+DEPRECATED=		Documents EOLd version of Ruby and unmaintained
+EXPIRATION_DATE=	2014-02-25
+
 do-install:
 	${MKDIR} ${RUBY_MODDOCDIR}
 	@${TAR} -xzf ${DISTDIR}/${DIST_SUBDIR}/${DISTFILES} -C ${RUBY_MODDOCDIR}

Modified: head/lang/ruby-usersguide/Makefile
==============================================================================
--- head/lang/ruby-usersguide/Makefile	Sat Jan 25 20:43:37 2014	(r341095)
+++ head/lang/ruby-usersguide/Makefile	Sat Jan 25 20:47:28 2014	(r341096)
@@ -23,6 +23,10 @@ NO_BUILD=	yes
 DOCSDIR=	${RUBY_MODDOCDIR}
 
 NO_STAGE=	yes
+
+DEPRECATED=		Documents EOLd version of Ruby and unmaintained
+EXPIRATION_DATE=	2014-02-25
+
 do-install:
 	${MKDIR} ${RUBY_MODDOCDIR}
 	${INSTALL_DATA} ${WRKSRC}/* ${RUBY_MODDOCDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-03-24 18:01:49 UTC
State Changed
From-To: open->closed

Ports were removed.